matrix:
  platform:
    - debian11
    - macos
    - macos_arm64
    - ubuntu2204
    - ubuntu2404
    - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--process_headers_in_dependencies'
    build_targets:
      - "@dylib//:dylib"
bcr_test_module:
  module_path: tests
  matrix:
    platform:
      - debian11
      - ubuntu2204
      - ubuntu2404
    bazel: [7.x, 8.x, rolling]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - '--process_headers_in_dependencies'
      build_targets:
        - //:unit_tests
      test_targets:
        - //:unit_tests
      test_flags:
        - --test_output=errors
